Bug 7826 - /etc/rc.d/init.d/rwhod is malformed so chkconfig doesn't work
/etc/rc.d/init.d/rwhod is malformed so chkconfig doesn't work
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rwho (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-12-15 20:14 EST by Chris Siebenmann
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-12-16 12:02:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Siebenmann 1999-12-15 20:14:48 EST
Because the chkconfig: line in /etc/rc.d/init.d/rwhod is
malformed, 'chkconfig --add rwhod' sets it up to never run
in any runlevel.

 Obvious fix: change
	# chkconfig: - 60 20
to	# chkconfig: 2345 60 20
(and then do 'chkconfig --del rwhod; chkconfig --add rwhod'
to get everything set up right)
Comment 1 Bill Nottingham 1999-12-16 12:02:59 EST
No, the '-' just means it doesn't run by default if installed.

To activate it, do

chkconfig --level 345 rwhod on

or turn it on with ntsysv.

Note You need to log in before you can comment on or make changes to this bug.